- Provides SCIM Schema Provider Configuration
List SCIM schemas
Detail a SCIM schema
Provides SCIM Resource Types
Detail a SCIM Resource Type
List users in the program
Create a user in the program
Show a single program user by ID
Replace a user in the program
Update a user in the program
Completely remove a user from the system
Show information about the current user
Completely remove a user from the system (Not SCIM compliant)
Provides SCIM Schema Prov...
Returns the Schema Provider configuration as per SCIM 2.0 Specification. Additional references:
Security
oauth2_as_a_server(Required scopes: users.read) or oauth2_as_a_user(Required scopes: users.read)
- US1https://partner.socialchorus.com/scim/v2/ServiceProviderConfig
- US2https://partner.us2.onfirstup.com/scim/v2/ServiceProviderConfig
- EUhttps://partner.onfirstup.eu/scim/v2/ServiceProviderConfig
- oauth2_as_a_server
- oauth2_as_a_user
curl -i -X GET \
https://partner.socialchorus.com/scim/v2/ServiceProviderConfig \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Response
{ "schemas": [ "urn:ietf:params:scim:schemas:core:2.0:ServiceProviderConfig" ], "documentationUri": "https://partner.socialchorus.com/endpoints", "patch": { "supported": true }, "bulk": { "supported": false }, "filter": { "supported": true }, "changePassword": { "supported": false }, "sort": { "supported": true }, "etag": { "supported": false }, "authenticationSchemas": [ { … } ], "meta": { "location": "undefined/scim/v2/ServiceProviderConfig", "resourceType": "ServiceProviderConfig", "created": "2020-10-19T00:00:00Z", "lastModified": "2020-10-19T00:00:00Z", "version": "v1.22.1" } }